package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevEarplugMapper;
import com.ruoyi.project.patrol.dev.domain.TDevEarplug;
import com.ruoyi.project.patrol.dev.service.ITDevEarplugService;

/**
 * 耳塞分配器Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TDevEarplugServiceImpl implements ITDevEarplugService 
{
    @Autowired
    private TDevEarplugMapper tDevEarplugMapper;

    /**
     * 查询耳塞分配器
     * 
     * @param id 耳塞分配器主键
     * @return 耳塞分配器
     */
    @Override
    public TDevEarplug selectTDevEarplugById(Long id)
    {
        return tDevEarplugMapper.selectTDevEarplugById(id);
    }

    /**
     * 查询耳塞分配器列表
     * 
     * @param tDevEarplug 耳塞分配器
     * @return 耳塞分配器
     */
    @Override
    public List<TDevEarplug> selectTDevEarplugList(TDevEarplug tDevEarplug)
    {
        return tDevEarplugMapper.selectTDevEarplugList(tDevEarplug);
    }

    /**
     * 新增耳塞分配器
     * 
     * @param tDevEarplug 耳塞分配器
     * @return 结果
     */
    @Override
    public int insertTDevEarplug(TDevEarplug tDevEarplug)
    {
        return tDevEarplugMapper.insertTDevEarplug(tDevEarplug);
    }

    /**
     * 修改耳塞分配器
     * 
     * @param tDevEarplug 耳塞分配器
     * @return 结果
     */
    @Override
    public int updateTDevEarplug(TDevEarplug tDevEarplug)
    {
        return tDevEarplugMapper.updateTDevEarplug(tDevEarplug);
    }

    /**
     * 批量删除耳塞分配器
     * 
     * @param ids 需要删除的耳塞分配器主键
     * @return 结果
     */
    @Override
    public int deleteTDevEarplugByIds(Long[] ids)
    {
        return tDevEarplugMapper.deleteTDevEarplugByIds(ids);
    }

    /**
     * 删除耳塞分配器信息
     * 
     * @param id 耳塞分配器主键
     * @return 结果
     */
    @Override
    public int deleteTDevEarplugById(Long id)
    {
        return tDevEarplugMapper.deleteTDevEarplugById(id);
    }
}
